{% extends "logged_in.html" %}
{% load static %}

{% block content %}
    <form method="post">
        {% csrf_token %}
        <table>
            {{ form }}
        </table>

        {{ button_formset.management_form }}
        <div id="buttons_formset">
            {% for button_form in button_formset %}
                {% include "telegram/button_form.html" with form=button_form %}
            {% endfor %}
        </div>
        <div id="buttons_formset_template" style="display: none;">
            {% include "telegram/button_form.html" with form=button_formset.empty_form %}
        </div>

        <ul class="buttons" >
            <li><button type="Submit">Submit</button></li>
            <li><a onclick="button_add()">Add button</a></li>
        </ul>

        <aside class="emoji-board" id="emoji_board" style="width: auto; height: 512px;"></aside>
        <script>
            let board = emoji_board({
                element: "#emoji_board",
                max_version: [12, 0],
                targets: ["#id_message"],
            });
            {% for button_form in button_formset %}
            board.add_target("#{{ button_form.text.id_for_label }}");
            {% endfor %}

            function button_add()
            {
                let total_forms = document.getElementById("id_form-TOTAL_FORMS");
                let button_no = Number(total_forms.value);
                let template = document.getElementById("buttons_formset_template").innerHTML.replace(/__prefix__/g, button_no);
                total_forms.value = button_no+1;

                let parent = document.getElementById("buttons_formset");
                parent.insertAdjacentHTML("beforeend", template);
                board.add_target(`#id_form-${button_no}-text`);
            }

            function button_newline(input)
            {
                let label = input.labels[0];

                if ( input.checked )
                    label.classList.add("active");
                else
                    label.classList.remove("active");
            }

            function button_delete(id)
            {
                let element = document.getElementById(id);
                element.parentNode.removeChild(element);
            }
        </script>
    </form>
{% endblock %}


{% block extra_head %}
    {{ block.super }}

    <link rel="stylesheet" type="text/css" href="{% static "emoji-board.css" %}"/>
    <script src="{% static "emoji-board.js" %}"></script>
{% endblock %}
